Bug 847761 - Superfluous or undocumented "amf" section in corosync.conf.example
Superfluous or undocumented "amf" section in corosync.conf.example
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 09:30 EDT by Moritz Naumann
Modified: 2016-04-26 13:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-14 06:20:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 5892 None None None 2012-08-13 12:16:19 EDT

  None (edit)
Description Moritz Naumann 2012-08-13 09:30:26 EDT
Description of problem:
The source release of corosync 1.4.3 contains the following in conf/corosync.conf.example:

amf {
        mode: disabled
}

At the same time the corosync.conf(5) man page states the following about available top level options / sections in the corosync.conf configuration file:

*** BEGIN QUOTE ***
The configuration file consists of bracketed top level directives. The possible directive choices are:

       totem { }
              This top level directive contains configuration options for the totem protocol.

       logging { }
              This top level directive contains configuration options for logging.

       event { }
              This top level directive contains configuration options for the event service.

       It is also possible to specify the top level parameter compatibility. 

*** END QUOTE ***

So there appears to be an inconsistency: either the amf { } section is allowed but not documented (and the documentation is written in a way which suggests that it cannot exist), or it is not allowed / not interpreted and should thus not be found in an example configuration file.

The Corosync website at http://corosync.org/doku.php?id=support suggests that bugs against the source / upstream release should be filed here against Fedora, so I'm doing this (without having verified whether this issue actually affects Fedora, too). The example configuration file is contained unmodified in ELRepo.

Version-Release number of selected component (if applicable):
1.4.3

This issue does not affect corosync 2.0.1.
Comment 1 Moritz Naumann 2012-08-13 09:35:32 EDT
q.v. http://elrepo.org/bugs/view.php?id=296
Comment 2 Moritz Naumann 2012-08-13 12:16:19 EDT
Please ignore comment 1, this package is not in the ElRepo repository. Instead I'm adding a reference to the related bug report against CentOS 6.
Comment 3 Steven Dake 2012-08-13 16:03:01 EDT
The amf section should be removed from the example.
Comment 4 Jan Friesse 2012-08-14 06:20:30 EDT
Committed in upstream as b229f7328e24acaf3daf6aa3b80b7ff5058b4fea. Closing as upstream.

Thanks for bug report.

Note You need to log in before you can comment on or make changes to this bug.